# FoundationClasses
TKernel
Storage

# Storage_TypeData Class Reference

`#include <Storage_TypeData.hxx>`

Inheritance diagram for Storage_TypeData:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_TypeData ()
Standard_EXPORT Standard_Integer | NumberOfTypes () const
Standard_EXPORT Standard_Boolean | IsType (const TCollection_AsciiString &aName) const
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | Types () const
Standard_EXPORT Storage_Error | ErrorStatus () const
Standard_EXPORT TCollection_AsciiString | ErrorStatusExtension () const
Standard_EXPORT void | ClearErrorStatus ()
Standard_EXPORT void | Clear ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | AddType (const TCollection_AsciiString &aName, const Standard_Integer aTypeNum)
| add a type to the list
Standard_EXPORT TCollection_AsciiString | Type (const Standard_Integer aTypeNum) const
| returns the name of the type with number <atypenum>
Standard_EXPORT Standard_Integer | Type (const TCollection_AsciiString &aTypeName) const
| returns the name of the type with number <atypenum>
Standard_EXPORT void | SetErrorStatus (const Storage_Error anError)
Standard_EXPORT void | SetErrorStatusExtension (const TCollection_AsciiString &anErrorExt)

## Private Attributes

Storage_PType | myPt
Storage_Error | myErrorStatus
TCollection_AsciiString | myErrorStatusExt

## Constructor & Destructor Documentation

Standard_EXPORT Storage_TypeData::Storage_TypeData | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Storage_TypeData::AddType | ( | const TCollection_AsciiString & | aName,
|  | const Standard_Integer | aTypeNum
| ) | `[private]`

Standard_EXPORT void Storage_TypeData::Clear | ( |  | ) |

Standard_EXPORT void Storage_TypeData::ClearErrorStatus | ( |  | ) |

Standard_EXPORT Storage_Error Storage_TypeData::ErrorStatus | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Storage_TypeData::ErrorStatusExtension | ( |  | ) | const

Standard_EXPORT const Storage_TypeData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Boolean Storage_TypeData::IsType | ( | const TCollection_AsciiString & | aName | ) | const

Standard_EXPORT Standard_Integer Storage_TypeData::NumberOfTypes | ( |  | ) | const

Standard_EXPORT void Storage_TypeData::SetErrorStatus | ( | const Storage_Error | anError | ) | `[private]`

Standard_EXPORT void Storage_TypeData::SetErrorStatusExtension | ( | const TCollection_AsciiString & | anErrorExt | ) | `[private]`

Standard_EXPORT Standard_Integer Storage_TypeData::Type | ( | const TCollection_AsciiString & | aTypeName | ) | const`[private]`

Standard_EXPORT TCollection_AsciiString Storage_TypeData::Type | ( | const Standard_Integer | aTypeNum | ) | const`[private]`

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString Storage_TypeData::Types | ( |  | ) | const

## Field Documentation

Storage_Error Storage_TypeData::myErrorStatus `[private]`

TCollection_AsciiString Storage_TypeData::myErrorStatusExt `[private]`

Storage_PType Storage_TypeData::myPt `[private]`

The documentation for this class was generated from the following file:

- Storage_TypeData.hxx